#ifndef SDL_JOYSTICK_MOCK_H
#define SDL_JOYSTICK_MOCK_H

#include "../src/packages/common/IZ_common.h"
#include "../src/packages/test/IZ_test.h"

typedef struct _SDL_Joystick {} SDL_Joystick;

#define MOCK_OPEN_JOYSTICKS 1

mock(SDL_JoystickOpen) SDL_Joystick* SDL_JoystickOpen(i32 device_index) {
	static SDL_Joystick joystick;
	mock_return(SDL_JoystickOpen) &joystick;
}

mock(SDL_NumJoysticks) i32 SDL_NumJoysticks(void) {
	mock_return(SDL_NumJoysticks) MOCK_OPEN_JOYSTICKS;
}

mock(SDL_JoystickInstanceID) i32 SDL_JoystickInstanceID(SDL_Joystick* joystick) {
	mock_return(SDL_JoystickInstanceID) 0;
}

mock(SDL_JoystickClose) void SDL_JoystickClose(SDL_Joystick* _joystick) {
	mock_return(SDL_JoystickClose);
}

#endif
